@import 'pure-min.scss';

// catppucin mocha theme
$rosewater: #f5e0dc;
$flamingo: #f2cdcd;
$pink: #f5c2e7;
$mauve: #cba6f7;
$red: #f38ba8;
$maroon: #eba0ac;
$peach: #fab387;
$yellow: #f9e2af;
$green: #a6e3a1;
$teal: #94e2d5;
$sky: #89dceb;
$sapphire: #74c7ec;
$blue: #89b4fa;
$lavender: #b4befe;
$text: #cdd6f4;
$subtext1: #bac2de;
$subtext0: #a6adc8;
$overlay2: #9399b2;
$overlay1: #7f849c;
$overlay0: #6c7086;
$surface2: #585b70;
$surface1: #45475a;
$surface0: #313244;
$base: #1e1e2e;
$mantle: #181825;
$crust: #11111b;

@font-face {
    font-family: "local-mono-regular";
    src: url("/static/font-regular.woff");
}

@font-face {
    font-family: "local-mono-italic";
    src: url("/static/font-italic.woff");
}

@font-face {
    font-family: "local-mono-bold";
    src: url("/static/font-bold.woff");
}

html, button, input, select, textarea,
.pure-g [class *= "pure-u"] {
    font-family: local-mono-regular, monospace;
}

body {
    font-family: local-mono-regular, monospace;
    background-color: $base;
    color: $text;
    display: flex;
    flex-direction: column;
    height:100vh;
    margin:0;
}

footer {
    margin: auto auto 0 auto;
    width: 75%;
    min-height: 50px;
    text-align: center;
    padding: 0 0 1rem 0;
    color: $overlay1;
}

h1 {
    font-family: local-mono-bold;
    color: $flamingo;
    font-size: 8rem;
    letter-spacing: 0.2em;
    margin: 15px 0 5px 0;
    text-align: center;
}

h2 {
    font-family: local-mono-bold;
    // text-align: center;
    color: $rosewater;
    font-size: 190%;
    margin: 20px 0 15px 0;
}

h3 {
    color: $teal;
    font-size: 150%;
    margin: 18px 0 13px 0;
}

h4 {
    color: $teal;
    font-size: 130%;
    margin: 15px 0 10px 0;
}

h5,h6 {
    color: $subtext0;
}

main {
    border-top: 2px solid $green;
    border-right: 2px solid $green;
    border-left: 2px solid $green;
    border-radius: 10px 10px 0 0;
    // padding: 1.5rem 1rem 0 1rem;
}

p {
    margin: 4px 0;
}

code {
    color: $pink;
}

a {
    color: $rosewater;
}

.center-text {
    text-align: center;
}

.error {
    color: $red;
}

label {
    text-transform: uppercase;
    color: $mauve;
}

.userbox {
    float: right;
}

.userbox form {
    display: inline;
}

.logout-button {
    background-color: $red;
    color: $surface1;
    font-size: 70%;
}

.endpoint_id.online {
    color: $green;
}

.endpoint_id.offline {
    color: $red;
}

.endpoint-brief {
    border-radius: 5px;
    margin: 0.5rem;
    padding: 0.2rem;
}

.endpoint-brief.online {
    border: 1px solid $green;
}

.endpoint-brief.offline {
    border: 1px solid $red;
}

.endpoint-brief h3 {
    margin: 0.5rem 0 0.2rem 0.8rem;
}

.global-menu {
    padding: 0 1rem;
}

.global-menu h2 {
    margin-bottom: 2rem;
}

.active-player {
    border-bottom: 1px solid $green;
    padding-bottom: 3px;
    margin-bottom: 15px;
}

.active-player p {
    margin-bottom: 6px;
}

.identity-list-item {
    border-bottom: 1px solid $green;
    padding-bottom: 3px;
    margin-bottom: 15px;
}

.identity-list-item p {
    margin-bottom: 6px;
}

p.date-range {
    margin-bottom: 10px;
    font-size: 110%;
    color: $rosewater;
}
